# Projet SDIS29 - 2025 - Groupe 3

Voici un plan d'installation du projet ap3 :

## Etape 1 - Installation des machines virtuelles KVM :

### Paramètres communs
  * Memoire : 1 Go
  * Disque : 10 Go

Clonage intégral de la machine **Debian-12.7-template**
--> Nommage de trois machine, 
  * **ap33-prod** (id = 6120), IP : 172.16.0.120/24 ; gateway : 172.16.0.254
  * **ap33-test** (id = 6121), IP : 172.16.0.121/24 ; gateway : 172.16.0.254
  * **ap33-mon** (id = 6122), IP : 172.16.0.122/24 ; gateway : 172.16.0.254

Implémentation des clés SSH publique avec **cloud-int** :

Effectuer les commandes suivantes afin de copier votre clé: 
  * ssh-keygen 
  * cat .ssh/id_rsa.pub

Copier la clé dans **cloud-init**, onglet Clef SSH Publique, en cas de clé supplémentaire, les mettres à la ligne 

Régénérer l'image avant de lancer la machine puis accèder aux machines par SSH avec la commande suivante : ssh debian@ap33-xxxx

## Etape 2 : Configuration de base des machines 

Sur les trois machines faire les commandes suivantes : 

````
sudo su -
cd /etc/apt
wget depl/sio/api/apt.conf 
timedatectl set-timezone Europe/Paris 	   # Mise à jour de la date
apt update && apt upgrade 	# Mise à jour de la machine
apt install qemu-guest-agent
````
## Etape 3 : Configuration des services des machines

**AP33-test** servira comme base de données **MariaDB**. Ce serveur sera également utilisé pour le développement et le déploiement d'applications via **Tomcat10**.

````
sudo su -
apt install tomcat10 mariadb-server 	# Installation des paquets
export http_proxy="http://10.121.38.1:8080/" 	# Exportation des ports
export https_proxy="http://10.121.38.1:8080/" 	# Exportation des ports
curl -L https://github.com/goss-org/goss/releases/latest/download/goss-linux-amd64 -o /usr/local/bin/goss	# Installation de la dernière version de Goss vers /usr/local/bin/goss
chmod +rx /usr/local/bin/goss 	# Donner les droits de lecture et d'execution sur le dossier Goss
goss autoadd mariadb-server
goss autoadd tomcat10
goss add service mysql
goss add interface eth0
goss add http http://ap33-prod:8080
````

**Serveur ap33-test**

**AP33-test** servira comme base de données **MariaDB** et hébergera l'application web de gestion de bases de données **PhpMyAdmin**. Ce serveur sera également utilisé pour le développement et le déploiement d'applications via **Tomcat10**.

````
sudo su -
apt install tomcat10 mariadb-server phpmyadmin    # Installation des paquets
export http_proxy="http://10.121.38.1:8080/"  	# Exportation des ports
export https_proxy="http://10.121.38.1:8080/" 	# Exportation des ports
curl -L https://github.com/goss-org/goss/releases/latest/download/goss-linux-amd64 -o /usr/local/bin/goss	# Installation de la dernière version de Goss vers /usr/local/bin/goss
chmod +rx /usr/local/bin/goss 	# Donner les droits de lecture et d'execution sur le dossier Goss
goss autoadd mariadb-server
goss autoadd tomcat10
goss autoadd phpmyadmin
goss add service mysql
goss add interface eth0
goss add http http://ap33-test:8080
````

**Serveur ap33-mon**

````

````

**Lastest Update** : le 07/11/2024 à 14h40 par Jarod PAUCHET

**Oldest Update** : le 07/11/2024 à 11h45 par Jarod PAUCHET

**Oldest Update** : le 07/11/2024 à 11h30 par Jarod PAUCHET

**Oldest Update** : le 07/11/2024 à 10h45 par Jarod PAUCHET
